install on power server with excessive disks fails Invalid dep_id

Bug #1873728 reported by bugproxy on 2020-04-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Foundations Team
curtin
Undecided
Unassigned
subiquity
Undecided
Unassigned

Bug Description

== Comment: #0 - Michael Ranweiler <email address hidden> - 2020-04-17 17:21:49 ==
We have a p9 boston with a number of multipath disks. The install fails here before even configuring the storage. There's no error displayed on screen before the error/report screen. There's a lot of LVM volumes on the system, from the log file:
2020-04-17 21:26:20,232 ERROR root:39 finish: subiquity/Filesystem/_probe/probe_once: FAIL: Invalid dep_id (disk-mpath-360050768028211d8b000000000000062) not in storage config
2020-04-17 21:26:20,232 ERROR block-discover:151 block probing failed restricted=False
Traceback (most recent call last):
  File "/snap/subiquity/1705/lib/python3.6/site-packages/subiquity/controllers/filesystem.py", line 144, in _probe
    self._probe_once_task.task, 15.0)
  File "/snap/subiquity/1705/usr/lib/python3.6/asyncio/tasks.py", line 358, in wait_for
    return fut.result()
  File "/snap/subiquity/1705/lib/python3.6/site-packages/subiquity/controllers/filesystem.py", line 124, in _probe_once
    self.model.load_probe_data(storage)
  File "/snap/subiquity/1705/lib/python3.6/site-packages/subiquity/models/filesystem.py", line 1556, in load_probe_data
    self.reset()
  File "/snap/subiquity/1705/lib/python3.6/site-packages/subiquity/models/filesystem.py", line 1274, in reset
    self._probe_data)["storage"]["config"]
  File "/snap/subiquity/1705/lib/python3.6/site-packages/curtin/storage_config.py", line 1317, in extract_storage_config
    tree = get_config_tree(cfg.get('id'), final_config)
  File "/snap/subiquity/1705/lib/python3.6/site-packages/curtin/storage_config.py", line 275, in get_config_tree
    for dep in find_item_dependencies(item, sconfig):
  File "/snap/subiquity/1705/lib/python3.6/site-packages/curtin/storage_config.py", line 245, in find_item_dependencies
    _validate_dep_type(item_id, dep_key, dep, config)
  File "/snap/subiquity/1705/lib/python3.6/site-packages/curtin/storage_config.py", line 193, in _validate_dep_type
    'Invalid dep_id (%s) not in storage config' % dep_id)
ValueError: Invalid dep_id (disk-mpath-360050768028211d8b000000000000062) not in storage config
2020-04-17 21:26:20,234 INFO subiquity.core:436 saving crash report 'block probing crashed with ValueError' to /var/crash/1587158780.234095097.block_probe_fail.crash

Related branches

Revision history for this message
bugproxy (bugproxy) wrote : tarball of installer, etc, log files

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-185357 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → debian-installer (Ubuntu)
affects: debian-installer (Ubuntu) → subiquity (Ubuntu)
Frank Heimes (fheimes) on 2020-04-20
Changed in ubuntu-power-systems:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
no longer affects: subiquity (Ubuntu)
Changed in ubuntu-power-systems:
importance: Undecided → High
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Foundations Team (canonical-foundations)
Frank Heimes (fheimes) on 2020-04-20
tags: added: installer
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

Can you attach a crash file, in this case /var/crash/1587158780.234095097.block_probe_fail.crash ?

Frank Heimes (fheimes) on 2020-04-20
Changed in ubuntu-power-systems:
status: New → Triaged
Revision history for this message
Dan Watkins (oddbloke) wrote :

Waiting on that crash file.

Changed in curtin:
status: New → Incomplete
Revision history for this message
Ryan Harper (raharper) wrote :

The included tarball includes the probe_data.json

With that we can reproduce the failure locally.

In particular, /dev/dm-14 (mpathb) has 4 paths, but somehow the multipath 'paths' output does not include any of these devices. Curtin falls back to using the MP_UUID as the 'name' portion of a blockdev-id, so we see disk-mpath-36.......62.

The blockdev data for /dev/dm-14, DM_NAME is set, and set to mpathb; so adding this as an additional check for discovering the mpath name allows this to all work.

I'll have a branch up shortly.

Revision history for this message
Server Team CI bot (server-team-bot) wrote :

This bug is fixed with commit 382af4bc to curtin on branch master.
To view that commit see the following URL:
https://git.launchpad.net/curtin/commit/?id=382af4bc

Changed in curtin:
status: Incomplete → Fix Committed
Frank Heimes (fheimes) on 2020-04-21
Changed in ubuntu-power-systems:
status: Triaged → Fix Committed
Revision history for this message
Andrew Cloke (andrew-cloke) wrote :

Hi Michael, are you able to retested this issue to ensure that it is fixed.
Thanks!

Changed in subiquity:
status: New → Invalid
Revision history for this message
Frank Heimes (fheimes) wrote :

Double checked with mwhudson - this already landed in focal GA.
hence marking as fixed released.

Changed in curtin:
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2021-05-24
tags: added: targetmilestone-inin2004
removed: targetmilestone-inin---
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers